import "antd-mobile/es/modal/style";
import _Modal from "antd-mobile/es/modal";
import "antd-mobile/es/toast/style";
import _Toast from "antd-mobile/es/toast";

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _toConsumableArray(arr) { return _arrayWithoutHoles(arr) || _iterableToArray(arr) || _nonIterableSpread(); }

function _nonIterableSpread() { throw new TypeError("Invalid attempt to spread non-iterable instance"); }

function _iterableToArray(iter) { if (Symbol.iterator in Object(iter) || Object.prototype.toString.call(iter) === "[object Arguments]") return Array.from(iter); }

function _arrayWithoutHoles(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = new Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import PropTypes from 'prop-types';
import classnames from 'classnames';
import TouchFeedback from 'rmc-feedback';
import request from 'superagent';
import { getCookie, dataURItoBlob } from './utils';
import addImage from './assets/images/img_picker_add.png';
import deleteBtn from './assets/images/delete_btn.png';
import ImageViewer from '../image-viewer';

function noop() {}

var num = 0;

var ImageUpload =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ImageUpload, _React$Component);

  function ImageUpload(props) {
    var _this;

    _classCallCheck(this, ImageUpload);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ImageUpload).call(this, props));

    _defineProperty(_assertThisInitialized(_this), "getOrientation", function (file, callback) {
      var reader = new FileReader();

      reader.onload = function (e) {
        var view = new DataView(e.target.result);

        if (view.getUint16(0, false) !== 0xffd8) {
          // eslint-disable-next-line standard/no-callback-literal
          return callback(-2);
        }

        var length = view.byteLength;
        var offset = 2;

        while (offset < length) {
          var marker = view.getUint16(offset, false);
          offset += 2;

          if (marker === 0xffe1) {
            var tmp = view.getUint32(offset += 2, false);

            if (tmp !== 0x45786966) {
              // eslint-disable-next-line standard/no-callback-literal
              return callback(-1);
            }

            var little = view.getUint16(offset += 6, false) === 0x4949;
            offset += view.getUint32(offset + 4, little);
            var tags = view.getUint16(offset, little);
            offset += 2;

            for (var i = 0; i < tags; i++) {
              if (view.getUint16(offset + i * 12, little) === 0x0112) {
                return callback(view.getUint16(offset + i * 12 + 8, little));
              }
            } // eslint-disable-next-line no-bitwise

          } else if ((marker & 0xff00) !== 0xff00) {
            break;
          } else {
            offset += view.getUint16(offset, false);
          }
        } // eslint-disable-next-line standard/no-callback-literal


        return callback(-1);
      };

      reader.readAsArrayBuffer(file.slice(0, 64 * 1024));
    });

    _defineProperty(_assertThisInitialized(_this), "getRotation", function () {
      var orientation = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 1;
      var imgRotation = 0;

      switch (orientation) {
        case 3:
          imgRotation = 180;
          break;

        case 6:
          imgRotation = 90;
          break;

        case 8:
          imgRotation = 270;
          break;

        default:
      }

      return imgRotation;
    });

    _defineProperty(_assertThisInitialized(_this), "pickImage", function () {
      var platform = _this.state.platform;

      if (platform === 'wx') {
        _this.wxChooseImage();
      } else if (platform === 'zuolin') {
        _this.zlChoseImage();
      }
    });

    _defineProperty(_assertThisInitialized(_this), "zlChoseImage", function () {
      var _this$props = _this.props,
          limitCount = _this$props.limitCount,
          _this$props$files = _this$props.files,
          files = _this$props$files === void 0 ? [] : _this$props$files;
      window.ehopenapi.pickImages({
        count: limitCount - files.length,
        sourceType: '',
        success: function success(res) {
          // eslint-disable-next-line no-shadow
          var _this$props$files2 = _this.props.files,
              files = _this$props$files2 === void 0 ? [] : _this$props$files2;
          var localIds = res.localIds;
          files = files.slice(0);
          localIds.forEach(function (localId) {
            var imgId = num++;
            files.push({
              id: imgId,
              status: 'uploading',
              localUrl: localId
            });

            _this.zlUploadImage(localId, imgId);
          });

          _this.props.onChange(files, 'add');
        },
        cancel: function cancel() {// 取消操作
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "zlUploadImage", function (localId, imgId) {
      window.ehopenapi.uploadImage({
        localId: localId,
        isShowProgressTips: 1,
        quality: 70,
        success: function success(res) {
          var _this$props$files3 = _this.props.files,
              files = _this$props$files3 === void 0 ? [] : _this$props$files3;
          files = files.slice(0);
          var fileIndex = files.findIndex(function (item) {
            return item.id === imgId;
          });

          if (fileIndex !== -1) {
            var url = res.url,
                uri = res.uid;
            files[fileIndex] = {
              status: 'done',
              uri: uri,
              url: url,
              fileName: "\u56FE\u7247".concat(imgId),
              uploadTime: new Date().getTime()
            };
          }

          _this.props.onChange(files, 'add');
        },
        cancel: function cancel() {// 取消操作
        },
        fail: function fail() {
          // 解决某些场景下，zlChoseImage 中的 this.props.onChange 还没执行完，就会进入此函数的问题
          setTimeout(function () {
            var _this$props$files4 = _this.props.files,
                files = _this$props$files4 === void 0 ? [] : _this$props$files4;
            files = files.slice(0);
            var fileIndex = files.findIndex(function (item) {
              return item.id === imgId;
            });

            if (fileIndex !== -1) {
              files.splice(fileIndex, 1);

              _this.props.onChange(files, 'remove');

              _Toast.fail('上传失败, 请重试', 2);
            }
          }, 0);
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "wxChooseImage", function () {
      // eslint-disable-next-line prefer-const
      var _this$props2 = _this.props,
          limitCount = _this$props2.limitCount,
          _this$props2$files = _this$props2.files,
          files = _this$props2$files === void 0 ? [] : _this$props2$files;
      window.wx.chooseImage({
        count: limitCount - files.length,
        success: function success(res) {
          var localIds = res.localIds;
          files = files.slice(0);
          localIds.forEach(function (item) {
            var imgId = num++;
            files.push({
              id: imgId,
              status: 'uploading',
              localUrl: item
            });

            _this.wxUploadImage(item, imgId);
          });

          _this.props.onChange(files, 'add');
        },
        fail: function fail() {}
      });
    });

    _defineProperty(_assertThisInitialized(_this), "wxUploadImage", function (localId, imgId) {
      window.wx.uploadImage({
        localId: localId,
        isShowProgressTips: 1,
        success: function success(res) {
          var serverId = res.serverId;

          _this.getWXImage(serverId, localId, imgId);
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "getWXImage", function (mediaId, localId, imgId) {
      var url = "".concat(window.location.protocol, "//").concat(window.location.host, "/evh/wx/getContentServerUri?mediaId=").concat(mediaId);
      request.post(url).end(function (err, res) {
        var _this$props$files5 = _this.props.files,
            files = _this$props$files5 === void 0 ? [] : _this$props$files5;
        var urlMaps = _this.state.urlMaps;
        files = files.slice(0);
        var fileIndex = files.findIndex(function (item) {
          return item.id === imgId;
        });

        if (res && res.body && res.body.errorCode === 200) {
          var data = res.body.response;

          if (fileIndex !== -1) {
            files[fileIndex] = {
              status: 'done',
              uri: data.uri,
              url: data.url,
              fileName: "\u56FE\u7247".concat(imgId),
              uploadTime: new Date().getTime()
            };

            _this.setState({
              urlMaps: _objectSpread({}, urlMaps, _defineProperty({}, res.body.response.url, localId))
            });

            _this.props.onChange(files, 'add');
          }
        } else if (fileIndex !== -1) {
          files.splice(fileIndex, 1);

          _this.props.onChange(files, 'remove');

          _Toast.fail('上传失败, 请重试', 2);
        }
      });
    });

    _defineProperty(_assertThisInitialized(_this), "removeImage", function (index) {
      var newImages = [];
      var _this$props$files6 = _this.props.files,
          files = _this$props$files6 === void 0 ? [] : _this$props$files6;
      files.forEach(function (image, idx) {
        if (index !== idx) {
          newImages.push(image);
        }
      });

      _this.onChangeDefault(newImages, 'remove', index);
    });

    _defineProperty(_assertThisInitialized(_this), "addImage", function (imgItem) {
      var _this$props$files7 = _this.props.files,
          files = _this$props$files7 === void 0 ? [] : _this$props$files7;
      var newImages = files.concat(imgItem);

      _this.onChangeDefault(newImages, 'add');
    });

    _defineProperty(_assertThisInitialized(_this), "onChangeDefault", function (newFiles, operationType, index) {
      var _this$props$files8 = _this.props.files,
          files = _this$props$files8 === void 0 ? [] : _this$props$files8;
      var _this$state = _this.state,
          contentServer = _this$state.contentServer,
          token = _this$state.token;

      if (operationType === 'add') {
        var url = "".concat(contentServer, "/upload/image");
        var suffic = "token=".concat(token); // eslint-disable-next-line no-nested-ternary

        url += url.endsWith('?') ? suffic : url.includes('?') ? "&".concat(suffic) : "?".concat(suffic);
        var file = newFiles[newFiles.length - 1];
        var imgId = num++; // 最大上传固定限制20M

        var limitPerSize = _this.getSizeUnitB('20M');

        if (limitPerSize && file.file.size > limitPerSize) {
          _this.setState({
            errorVisible: true
          });

          return;
        }

        var blob = dataURItoBlob(file.url);
        var fd = new FormData();
        fd.append('upload_file', blob, file.file.name);
        files = files.slice(0);
        files.push({
          id: imgId,
          status: 'uploading',
          localUrl: file.url
        });

        _this.props.onChange(files, operationType, index);

        request.post(url).send(fd).end(function (err, res) {
          // eslint-disable-next-line no-shadow
          var _this$props$files9 = _this.props.files,
              files = _this$props$files9 === void 0 ? [] : _this$props$files9;
          var urlMaps = _this.state.urlMaps;
          files = files.slice(0);
          var fileIndex = files.findIndex(function (item) {
            return item.id === imgId;
          });

          if (res && res.body && res.body.errorCode === 0) {
            if (fileIndex !== -1) {
              files[fileIndex] = {
                status: 'done',
                uri: res.body.response.uri,
                url: res.body.response.url,
                fileName: file.file.name,
                uploadTime: new Date().getTime()
              };

              _this.setState({
                urlMaps: _objectSpread({}, urlMaps, _defineProperty({}, res.body.response.url, file.url))
              });

              _this.props.onChange(files, operationType, index);
            }
          } else if (fileIndex !== -1) {
            files.splice(fileIndex, 1);

            _this.props.onChange(files, operationType, index);

            _Toast.fail('上传失败, 请重试', 2);
          }
        });
      } else if (operationType === 'remove') {
        files = [].concat(_toConsumableArray(files.slice(0, index)), _toConsumableArray(files.slice(index + 1)));

        _this.props.onChange(files, operationType, index);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "getSizeUnitB", function (size) {
      var filesize = String(size);
      var upSize = parseInt(filesize, 10);

      if (filesize.endsWith('M')) {
        return upSize * 1024 * 1024;
      }

      if (filesize.endsWith('K')) {
        return upSize * 1024;
      }

      return upSize;
    });

    _defineProperty(_assertThisInitialized(_this), "onImageClick", function (index, files) {
      var platform = _this.state.platform;

      if (platform === 'zuolin') {
        _this.zlViewImage(index, files);
      } else {
        _this.openViewer(index);
      }
    });

    _defineProperty(_assertThisInitialized(_this), "zlViewImage", function () {
      var index = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : 0;
      var files = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : [];
      var urls = files.map(function (item) {
        return item.url;
      });
      window.ehopenapi.viewImage({
        urls: urls,
        index: index
      });
    });

    _defineProperty(_assertThisInitialized(_this), "openViewer", function (index) {
      _this.setState({
        current: index,
        viewerVisible: true
      }); // document.addEventListener('touchmove', this.preventTouchDefault, { passive: false });

    });

    _defineProperty(_assertThisInitialized(_this), "closeViewer", function () {
      _this.setState({
        viewerVisible: false
      }); // document.removeEventListener('touchmove', this.preventTouchDefault);

    });

    _defineProperty(_assertThisInitialized(_this), "preventTouchDefault", function (e) {
      e.preventDefault();
    });

    _defineProperty(_assertThisInitialized(_this), "onFileChange", function () {
      var fileSelectorEl = _this.fileSelectorInput;

      if (fileSelectorEl && fileSelectorEl.files && fileSelectorEl.files.length) {
        var files = fileSelectorEl.files;
        var imageParsePromiseList = [];

        for (var i = 0; i < files.length; i++) {
          imageParsePromiseList.push(_this.parseFile(files[i], i));
        }

        Promise.all(imageParsePromiseList).then(function (imageItems) {
          return _this.addImage(imageItems);
        })["catch"](function (error) {
          if (_this.props.onFail) {
            _this.props.onFail(error);
          }
        });
      }

      if (fileSelectorEl) {
        fileSelectorEl.value = '';
      }
    });

    _defineProperty(_assertThisInitialized(_this), "parseFile", function (file, index) {
      return new Promise(function (resolve, reject) {
        var reader = new FileReader();

        reader.onload = function (e) {
          var dataURL = e.target.result;

          if (!dataURL) {
            // eslint-disable-next-line prefer-promise-reject-errors
            reject("Fail to get the ".concat(index, " image"));
            return;
          }

          var orientation = 1;

          _this.getOrientation(file, function (res) {
            // -2: not jpeg , -1: not defined
            if (res > 0) {
              orientation = res;
            }

            resolve({
              url: dataURL,
              orientation: orientation,
              file: file
            });
          });
        };

        reader.readAsDataURL(file);
      });
    });

    var _platform = 'default';

    if (window.ehopenapi) {
      _platform = 'zuolin';
    } else if (/micromessenger/i.test(window.navigator.userAgent) && window.wx) {
      _platform = 'wx';
    }

    var _contentServer = window.localStorage.getItem('contentServer');

    if (!_contentServer || _contentServer === 'null') _contentServer = window.sessionStorage.getItem('contentServer');
    if (!_contentServer || _contentServer === 'null') _contentServer = window.location.host; // 先去掉协议，再判断是否为443端口

    _contentServer = _contentServer.replace(/http(s)?:\/\//, '');
    _contentServer = _contentServer.split(':')[1] === '443' ? "https://".concat(_contentServer) : "http://".concat(_contentServer);

    var _token = getCookie('token');

    _this.state = {
      errorVisible: false,
      viewerVisible: false,
      current: 0,
      platform: _platform,
      urlMaps: {},
      contentServer: _contentServer,
      token: _token
    };
    return _this;
  } // http://stackoverflow.com/questions/7584794/accessing-jpeg-exif-rotation-data-in-javascript-on-the-client-side


  _createClass(ImageUpload, [{
    key: "render",
    value: function render() {
      var _this2 = this;

      // eslint-disable-next-line prefer-const
      var _this$props3 = this.props,
          style = _this$props3.style,
          className = _this$props3.className,
          _this$props3$files = _this$props3.files,
          files = _this$props3$files === void 0 ? [] : _this$props3$files,
          accept = _this$props3.accept,
          limitCount = _this$props3.limitCount;
      var _this$state2 = this.state,
          errorVisible = _this$state2.errorVisible,
          viewerVisible = _this$state2.viewerVisible,
          current = _this$state2.current,
          platform = _this$state2.platform,
          urlMaps = _this$state2.urlMaps;
      var prefixCls = 'eh-image-upload';
      var imgItemList = [];
      var count = parseInt("".concat(this.props.length), 10);

      if (count <= 0) {
        count = 4;
      }

      var wrapCls = classnames("".concat(prefixCls), className);
      files = files.map(function (file) {
        var url = file.localUrl || file.url;
        if (urlMaps[url]) url = urlMaps[url];
        return _objectSpread({}, file, {
          url: url
        });
      });
      files.forEach(function (image, index) {
        var itemStyle = {};
        var imgStyle = {
          transform: "rotate(".concat(_this2.getRotation(image.orientation), "deg)")
        };
        imgItemList.push(React.createElement("div", {
          key: "item-".concat(index),
          className: "".concat(prefixCls, "-flex-item"),
          style: itemStyle
        }, React.createElement("div", {
          key: index,
          className: "".concat(prefixCls, "-item")
        }, React.createElement("img", {
          className: "".concat(prefixCls, "-item-img"),
          src: image.url,
          alt: "",
          style: imgStyle,
          onClick: function onClick() {
            return _this2.onImageClick(index, files);
          }
        }), React.createElement("img", {
          className: "".concat(prefixCls, "-item-delete"),
          src: deleteBtn,
          alt: "",
          onClick: function onClick() {
            return _this2.removeImage(index);
          }
        }))));
      });
      var selectEl = React.createElement("div", {
        key: "select",
        className: "".concat(prefixCls, "-flex-item")
      }, React.createElement(TouchFeedback, {
        activeClassName: "".concat(prefixCls, "-upload-btn-active")
      }, React.createElement("div", {
        className: "".concat(prefixCls, "-item ").concat(prefixCls, "-upload-btn"),
        role: "button",
        "aria-label": "Choose and add image",
        onClick: platform !== 'default' ? this.pickImage : undefined
      }, React.createElement("img", {
        src: addImage,
        alt: "",
        className: "".concat(prefixCls, "-item-add")
      }), platform === 'default' ? React.createElement("input", {
        ref: function ref(input) {
          if (input) {
            _this2.fileSelectorInput = input;
          }
        },
        type: "file",
        accept: accept // tslint:disable-next-line:jsx-no-multiline-js
        ,
        onChange: function onChange() {
          _this2.onFileChange();
        },
        multiple: false
      }) : null)));
      var allEl = limitCount && files.length >= limitCount ? imgItemList : imgItemList.concat([selectEl]);
      var length = allEl.length;

      if (length !== 0 && length % count !== 0) {
        var blankCount = count - length % count;
        var fillBlankEl = [];

        for (var i = 0; i < blankCount; i++) {
          fillBlankEl.push(React.createElement("div", {
            key: "blank-".concat(i),
            className: "".concat(prefixCls, "-flex-item")
          }));
        }

        allEl = allEl.concat(fillBlankEl);
      }

      var flexEl = [];

      for (var _i = 0; _i < allEl.length / count; _i++) {
        var rowEl = allEl.slice(_i * count, _i * count + count);
        flexEl.push(rowEl);
      }

      var renderEl = flexEl.map(function (item, index) {
        return React.createElement("div", {
          key: "flex-".concat(index),
          className: "".concat(prefixCls, "-flex")
        }, item);
      });
      var imagelist = files.map(function (item) {
        return item.url;
      });
      return React.createElement("div", {
        className: wrapCls,
        style: style
      }, React.createElement("div", {
        className: "".concat(prefixCls, "-list"),
        role: "group"
      }, renderEl), React.createElement(ImageViewer, {
        visible: viewerVisible // deletable
        ,
        current: current,
        imagelist: imagelist,
        close: this.closeViewer,
        onDelete: this.removeImage
      }), React.createElement(_Modal, {
        visible: errorVisible,
        transparent: true,
        maskClosable: false,
        onClose: function onClose() {
          return _this2.setState({
            errorVisible: false
          });
        },
        title: "\u56FE\u7247\u8FC7\u5927\uFF0C\u65E0\u6CD5\u4E0A\u4F20",
        footer: [{
          text: '我知道了',
          onPress: function onPress() {
            return _this2.setState({
              errorVisible: false
            });
          }
        }]
      }));
    }
  }]);

  return ImageUpload;
}(React.Component);

_defineProperty(ImageUpload, "propTypes", {
  files: PropTypes.array,
  onChange: PropTypes.func,
  onFail: PropTypes.func,
  length: PropTypes.number,
  limitCount: PropTypes.number,
  accept: PropTypes.string
});

_defineProperty(ImageUpload, "defaultProps", {
  files: [],
  onChange: noop,
  onFail: noop,
  accept: 'image/*',
  length: 4,
  limitCount: 9
});

export { ImageUpload as default };